Jump to content
highrez2

Lee Mac Junky

Recommended Posts

highrez2

Lee helped me out a while ago, Thanks Lee. now I find myself pushing further how do I modify or add to his code "ObjectDBXWrapper" to select sub directories?

Share this post


Link to post
Share on other sites
Lee Mac

Hi highrez2,

 

I'm pleased to have been of assistance :)

 

Where my ObjectDBX Wrapper is concerned, you could combine this function with my Get Files Dialog function to enable the user to select drawings from multiple directories for processing, for example:

 

(defun c:test1 ( / )
   (LM:ODBX
       (function
           (lambda ( doc )
               (vla-addline (vla-get-modelspace doc)
                   (vlax-3D-point '(0.0 0.0))
                   (vlax-3D-point '(3.0 5.0))
               )
           )
       )
       (LM:GetFiles "Select drawings to process" "" "dwg")
       t
   )
   (princ)
)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...